﻿window.Wingtip = window.Wingtip || {}

Wingtip.Collections = function () {

    //private members
    var site,
        listCollection,

        getListCollection = function () {
            var ctx = new SP.ClientContext.get_current();
            site = ctx.get_web();
            ctx.load(site);
            listCollection = site.get_lists();
            ctx.load(listCollection, 'Include(Title,Id,Fields.Include(Title,Description))');
            ctx.executeQueryAsync(success, failure);
        },

        success = function () {

            var html = [];

            //List Information
            html.push("<ul>");
            var listEnumerator = listCollection.getEnumerator();
            while (listEnumerator.moveNext()) {

                //List Title
                html.push("<li>");
                html.push(listEnumerator.get_current().get_title());
                html.push("<ul>");

                //Field Names
                var fieldEnumerator = listEnumerator.get_current().get_fields().getEnumerator();
                while (fieldEnumerator.moveNext()) {
                    html.push("<li>");
                    html.push(fieldEnumerator.get_current().get_title());
                    html.push("</li>");
                }

                html.push("</ul></li>");
            }
            html.push("</ul>");

            //Show results
            $("#displayDiv").html(html.join(''));
        },

        failure = function (sender, args) {
            alert(args.get_message());
        }

    //public interface
    return {
        execute: getListCollection
    }
}();

$(document).ready(function () {
    Wingtip.Collections.execute();
});



