if (typeof window["SP"] == "undefined") {
    window["SP"] = new Object();
    window["SP"].__namespace = true;
}
if (window.Type && window.Type.registerNamespace)
    Type.registerNamespace('SP');
SP.PostMessageRequestInfo = function SP_PostMessageRequestInfo() {
};
SP.PostMessageResponseInfo = function SP_PostMessageResponseInfo() {
};
SP.RequestInfo = function SP_RequestInfo() {
};
SP.AppWebProxyRequestInfo = function SP_AppWebProxyRequestInfo() {
};
SP.ResponseInfo = function SP_ResponseInfo() {
};
SP.RequestExecutorMessageProcessorFormDigestInfo = function SP_RequestExecutorMessageProcessorFormDigestInfo() {
};
SP.RequestExecutorMessageProcessorInitInfo = function SP_RequestExecutorMessageProcessorInitInfo() {
};
SP.PostMessageCommands = function SP_PostMessageCommands() {
};
SP.ProxyWebRequestExecutorInternal = function SP_ProxyWebRequestExecutorInternal() {
};
SP.ProxyWebRequestExecutorInternal.processSuccessCallback = function SP_ProxyWebRequestExecutorInternal$processSuccessCallback(executor, responseInfo) {
    executor.$1a_1(responseInfo);
};
SP.ProxyWebRequestExecutorInternal.processErrorCallback = function SP_ProxyWebRequestExecutorInternal$processErrorCallback(executor, responseInfo, errorCode, errorMessage) {
    executor.$1Z_1(responseInfo, errorCode, errorMessage);
};
SP.ProxyWebRequestExecutor = function SP_ProxyWebRequestExecutor($p0, $p1) {
    SP.ProxyWebRequestExecutor.initializeBase(this);
    this.$9_1 = $p0;
    this.$M_1 = $p1;
};
SP.ProxyWebRequestExecutor.prototype = {
    $9_1: null,
    $M_1: null,
    $1D_1: false,
    $1G_1: false,
    $1F_1: false,
    $8_1: null,
    get_aborted: function SP_ProxyWebRequestExecutor$get_aborted() {
        return this.$1D_1;
    },
    get_responseAvailable: function SP_ProxyWebRequestExecutor$get_responseAvailable() {
        return !!this.$8_1 && this.$8_1.responseAvailable;
    },
    get_responseData: function SP_ProxyWebRequestExecutor$get_responseData() {
        if (!this.$8_1) {
            return null;
        }
        return this.$8_1.body;
    },
    get_started: function SP_ProxyWebRequestExecutor$get_started() {
        return this.$1F_1;
    },
    get_statusCode: function SP_ProxyWebRequestExecutor$get_statusCode() {
        if (!this.$8_1) {
            return 0;
        }
        return this.$8_1.statusCode;
    },
    get_statusText: function SP_ProxyWebRequestExecutor$get_statusText() {
        if (!this.$8_1) {
            return null;
        }
        return this.$8_1.statusText;
    },
    get_timedOut: function SP_ProxyWebRequestExecutor$get_timedOut() {
        return this.$1G_1;
    },
    get_xml: function SP_ProxyWebRequestExecutor$get_xml() {
        return null;
    },
    abort: function SP_ProxyWebRequestExecutor$abort() {
        this.$1D_1 = true;
    },
    executeRequest: function SP_ProxyWebRequestExecutor$executeRequest() {
        var $v_0 = this.get_webRequest();
        var $v_1 = new SP.RequestExecutor(this.$9_1, this.$M_1);
        var $v_2 = new SP.RequestInfo();

        $v_2.body = $v_0.get_body();
        $v_2.headers = {};
        if ($v_0.get_headers()) {
            var $$dict_3 = $v_0.get_headers();

            for (var $$key_4 in $$dict_3) {
                var $v_3 = {
                    key: $$key_4,
                    value: $$dict_3[$$key_4]
                };
                var $v_4 = ($v_0.get_headers())[$v_3.key];

                if (typeof $v_4 !== 'function') {
                    $v_2.headers[$v_3.key] = ($v_0.get_headers())[$v_3.key];
                }
            }
        }
        $v_2.method = $v_0.get_httpVerb();
        $v_2.url = $v_0.get_url();
        $v_2.timeout = $v_0.get_timeout();
        $v_2.success = SP.RequestExecutorNative.getProxyWebRequestExecutorSuccessCallback(this);
        $v_2.error = SP.RequestExecutorNative.getProxyWebRequestExecutorErrorCallback(this);
        this.$1F_1 = true;
        $v_1.executeAsync($v_2);
    },
    $1a_1: function SP_ProxyWebRequestExecutor$$1a_1($p0) {
        this.$8_1 = $p0;
        (this.get_webRequest()).completed(Sys.EventArgs.Empty);
    },
    $1Z_1: function SP_ProxyWebRequestExecutor$$1Z_1($p0, $p1, $p2) {
        if ($p1 === SP.RequestExecutorErrors.requestAbortedOrTimedout) {
            this.$1G_1 = true;
        }
        this.$8_1 = $p0;
        this._SPError_ = $p2;
        (this.get_webRequest()).completed(Sys.EventArgs.Empty);
    },
    getAllResponseHeaders: function SP_ProxyWebRequestExecutor$getAllResponseHeaders() {
        if (!this.$8_1) {
            return null;
        }
        return this.$8_1.allResponseHeaders;
    },
    getResponseHeader: function SP_ProxyWebRequestExecutor$getResponseHeader($p0) {
        if (!this.$8_1 || !this.$8_1.headers) {
            return null;
        }
        if (!$p0) {
            return null;
        }
        return this.$8_1.headers[$p0.toUpperCase()];
    }
};
SP.ProxyWebRequestExecutorFactory = function SP_ProxyWebRequestExecutorFactory(url, viaUrl) {
    SP.RequestExecutorUtility.$5(url, 'url', 'string', true);
    SP.RequestExecutorUtility.$5(viaUrl, 'viaUrl', 'string', false);
    SP.RequestExecutorUtility.$a(url, 'url');
    var $v_0 = url.indexOf('?');

    if ($v_0 >= 0) {
        throw SP.RequestExecutorUtility.$D('url');
    }
    this.$9_0 = url;
    this.$M_0 = viaUrl;
};
SP.ProxyWebRequestExecutorFactory.prototype = {
    $9_0: null,
    $M_0: null,
    createWebRequestExecutor: function SP_ProxyWebRequestExecutorFactory$createWebRequestExecutor() {
        return new SP.ProxyWebRequestExecutor(this.$9_0, this.$M_0);
    }
};
SP.RequestExecutor = function SP_RequestExecutor(url, viaUrl) {
    SP.RequestExecutorUtility.$5(url, 'url', 'string', true);
    SP.RequestExecutorUtility.$5(viaUrl, 'viaUrl', 'string', false);
    if (SP.RequestExecutorUtility.$2(viaUrl)) {
        if (SP.RequestExecutorUtility.$2(url)) {
            throw SP.RequestExecutorUtility.$D('url');
        }
        var $v_0 = url.indexOf('?');

        if ($v_0 >= 0) {
            throw SP.RequestExecutorUtility.$D('url');
        }
        $v_0 = url.indexOf('#');
        if ($v_0 >= 0) {
            throw SP.RequestExecutorUtility.$D('url');
        }
        if (url.charAt(0) === '/') {
            url = SP.RequestExecutor.$b(window.location.href, url);
        }
        SP.RequestExecutorUtility.$a(url, 'url');
        if (url.charCodeAt(url.length - 1) === '/') {
            url = url.substr(0, url.length - 1);
        }
        url = url.toLowerCase();
        this.$9_0 = url;
        if (SP.RequestExecutorInternalSharedUtility.$I(url) === SP.RequestExecutorInternalSharedUtility.$I(window.location.href)) {
            this.$L_0 = 1;
        }
        else {
            this.$L_0 = 2;
            if (url.charAt(url.length - 1) !== '/') {
                url = url + '/';
            }
            this.$1E_0 = url;
        }
    }
    else {
        SP.RequestExecutorUtility.$a(url, 'url');
        this.$L_0 = 3;
        this.$9_0 = url;
        this.$M_0 = viaUrl;
    }
    this.formDigestHandlingEnabled = true;
    this.iFrameSourceUrl = '_layouts/15/AppWebProxy.aspx';
};
SP.RequestExecutor.$b = function SP_RequestExecutor$$b($p0, $p1) {
    SP.RequestExecutorUtility.$a($p0, 'baseUrl');
    if (($p1.substr(0, 8)).toLowerCase() === 'https://' || ($p1.substr(0, 7)).toLowerCase() === 'http://') {
        return $p1;
    }
    else if ($p1.charAt(0) === '/') {
        var $v_0 = $p0.indexOf('://');

        $v_0 = $p0.indexOf('/', $v_0 + 3);
        if ($v_0 > 0) {
            $p0 = $p0.substr(0, $v_0);
        }
        return $p0 + $p1;
    }
    else {
        if ($p0.charAt($p0.length - 1) !== '/') {
            $p0 = $p0 + '/';
        }
        return $p0 + $p1;
    }
};
SP.RequestExecutor.$I = function SP_RequestExecutor$$I($p0) {
    SP.RequestExecutorUtility.$a($p0, 'url');
    return SP.RequestExecutorInternalSharedUtility.$I($p0);
};
SP.RequestExecutor.$r = function SP_RequestExecutor$$r($p0) {
    return document.getElementById($p0);
};
SP.RequestExecutor.$1N = function SP_RequestExecutor$$1N($p0) {
    var $v_0;

    $v_0 = document.createElement('IFRAME');
    $v_0.src = $p0;
    $v_0.id = $p0;
    $v_0.style.display = 'none';
    var $v_1 = SP.RequestExecutorNative.getIFrameOnloadCallback($p0);

    if ($v_0.addEventListener) {
        $v_0.addEventListener('load', $v_1, false);
    }
    else if ($v_0.attachEvent) {
        $v_0.attachEvent('onload', $v_1);
    }
    else {
        throw SP.RequestExecutorUtility.$n();
    }
    document.body.appendChild($v_0);
    var $v_2 = window.setTimeout(function() {
        SP.RequestExecutor.$1J($p0);
    }, 8000);

    SP.RequestExecutor.$R[$p0] = $v_2;
    return $v_0;
};
SP.RequestExecutor.$1B = function SP_RequestExecutor$$1B($p0, $p1) {
    var $v_0 = SP.RequestExecutorUtility.$c($p0);
    var $v_1;

    $v_1 = $v_0.indexOf('?');
    if ($v_1 < 0) {
        $v_0 = $v_0 + '?';
    }
    else {
        if ($v_0.charAt($v_0.length - 1) !== '&') {
            $v_0 = $v_0 + '&';
        }
    }
    $v_0 = $v_0 + 'MS.SP.url' + '=' + encodeURIComponent($p1);
    return $v_0;
};
SP.RequestExecutor.$15 = function SP_RequestExecutor$$15($p0, $p1, $p2, $p3, $p4) {
    if (!SP.RequestExecutor.$U) {
        SP.RequestExecutor.$U = {};
    }
    if (!SP.RequestExecutor.$f) {
        SP.RequestExecutor.$f = {};
    }
    $p0 = $p0.toLowerCase();
    var $v_0 = new Date();

    if (!$p2 || $p3.method.toUpperCase() === 'GET' || !SP.RequestExecutorUtility.$0(SP.RequestExecutor.$U[$p0]) && SP.RequestExecutor.$U[$p0] > $v_0.getTime()) {
        $p4(SP.RequestExecutor.$f[$p0], $p3);
    }
    else {
        var $v_1 = SP.RequestExecutor.$h();

        $v_1.open('POST', $p1);
        $v_1.setRequestHeader('accept', 'application/json');
        var $v_2 = 0;

        if ($p3.timeout > 0) {
            $v_2 = window.setTimeout(function() {
                $v_1.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
                try {
                    $v_1.abort();
                }
                catch ($$e_8) { }
                SP.RequestExecutor.$N($p3, SP.RequestExecutorErrors.requestAbortedOrTimedout, SP.RequestExecutorResources.getString('RE_RequestAbortedOrTimedout'));
            }, $p3.timeout);
        }
        $v_1.onreadystatechange = function() {
            if ($v_1.readyState === 4) {
                if ($v_2) {
                    window.clearTimeout($v_2);
                }
                $v_1.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
                if ($v_1.status !== 200 || !$v_1.getResponseHeader('content-type') || (($v_1.getResponseHeader('content-type')).toLowerCase()).indexOf('application/json') < 0) {
                    var $v_3 = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponseWithContentTypeAndStatus');

                    $v_3 = SP.RequestExecutorUtility.$T($v_3, $v_1.getResponseHeader('content-type'), $v_1.status.toString());
                    SP.RequestExecutor.$N($p3, SP.RequestExecutorErrors.unexpectedResponse, $v_3);
                }
                else {
                    var $v_4 = JSON.parse($v_1.responseText);

                    if (SP.RequestExecutorUtility.$0($v_4)) {
                        SP.RequestExecutor.$N($p3, SP.RequestExecutorErrors.unexpectedResponse, SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponse'));
                    }
                    else {
                        var $v_5 = $v_4.d.GetContextWebInformation.FormDigestValue;
                        var $v_6 = $v_4.d.GetContextWebInformation.FormDigestTimeoutSeconds;
                        var $v_7 = (new Date()).getTime() + $v_6 * 750;

                        SP.RequestExecutor.$f[$p0] = $v_5;
                        SP.RequestExecutor.$U[$p0] = $v_7;
                        $p4($v_5, $p3);
                    }
                }
            }
        };
        $v_1.send('');
    }
};
SP.RequestExecutor.$N = function SP_RequestExecutor$$N($p0, $p1, $p2) {
    if ($p0.error) {
        var $v_0 = new SP.ResponseInfo();

        $v_0.state = $p0.state;
        $v_0.body = '';
        $p0.error($v_0, $p1, $p2);
    }
};
SP.RequestExecutor.$k = function SP_RequestExecutor$$k() {
    var $v_0 = window.postMessage;

    if (SP.RequestExecutorUtility.$7($v_0)) {
        throw SP.RequestExecutorUtility.$n();
    }
    $v_0 = window.JSON;
    if (SP.RequestExecutorUtility.$7($v_0) || SP.RequestExecutorUtility.$7($v_0.stringify) || SP.RequestExecutorUtility.$7($v_0.parse)) {
        throw SP.RequestExecutorUtility.$n();
    }
};
SP.RequestExecutor.$1M = function SP_RequestExecutor$$1M() {
    var $v_0 = window.ArrayBuffer;

    if (SP.RequestExecutorUtility.$7($v_0)) {
        throw SP.RequestExecutorUtility.$p();
    }
    $v_0 = window.Uint8Array;
    if (SP.RequestExecutorUtility.$7($v_0)) {
        throw SP.RequestExecutorUtility.$p();
    }
    if (SP.RequestExecutorUtility.$7(window.BlobBuilder) && SP.RequestExecutorUtility.$7(window.MozBlobBuilder) && SP.RequestExecutorUtility.$7(window.Blob)) {
        throw SP.RequestExecutorUtility.$p();
    }
};
SP.RequestExecutor.$A = function SP_RequestExecutor$$A($p0) {
    SP.RequestExecutorUtility.$5($p0.postMessageId, 'requestInfo.postMessageId', 'string', true);
    SP.RequestExecutorUtility.$5($p0.appWebProxyUrl, 'requestInfo.appWebProxyUrl', 'string', true);
    var $v_0 = SP.RequestExecutor.$r($p0.appWebProxyUrl);

    if (!$v_0) {
        throw SP.RequestExecutorUtility.$o();
    }
    if (!SP.RequestExecutor.$3) {
        SP.RequestExecutor.$3 = {};
    }
    SP.RequestExecutor.$3[$p0.postMessageId] = $p0;
    var $v_1 = new SP.PostMessageRequestInfo();

    $v_1.command = $p0.command;
    $v_1.url = $p0.requestInfo.url;
    $v_1.method = $p0.requestInfo.method;
    $v_1.body = $p0.requestInfo.body;
    $v_1.headers = $p0.requestInfo.headers;
    $v_1.postMessageId = $p0.postMessageId;
    $v_1.timeout = $p0.requestInfo.timeout;
    $v_1.binaryStringRequestBody = $p0.requestInfo.binaryStringRequestBody;
    $v_1.binaryStringResponseBody = $p0.requestInfo.binaryStringResponseBody;
    var $v_2 = JSON.stringify($v_1);
    var $v_3 = $p0.appWebProxyUrl;

    $v_0.contentWindow.postMessage($v_2, $v_3);
};
SP.RequestExecutor.internalProcessIFrameOnload = function SP_RequestExecutor$internalProcessIFrameOnload(appWebProxyUrl) {
    SP.RequestExecutor.$V[appWebProxyUrl] = true;
    if (!SP.RequestExecutorUtility.$0(SP.RequestExecutor.$R[appWebProxyUrl])) {
        window.clearTimeout(SP.RequestExecutor.$R[appWebProxyUrl]);
        delete SP.RequestExecutor.$R[appWebProxyUrl];
    }
    if (!SP.RequestExecutorUtility.$0(SP.RequestExecutor.$X[appWebProxyUrl])) {
        window.clearTimeout(SP.RequestExecutor.$X[appWebProxyUrl]);
    }
    SP.RequestExecutor.$g++;
    var $v_0 = new SP.AppWebProxyRequestInfo();

    $v_0.command = 'Ping';
    $v_0.postMessageId = SP.RequestExecutorInternalSharedUtility.$e + SP.RequestExecutor.$g.toString();
    $v_0.appWebProxyUrl = appWebProxyUrl;
    var $v_1 = window.setTimeout(function() {
        SP.RequestExecutor.$1d($v_0.postMessageId, appWebProxyUrl);
    }, 1000);

    $v_0.timeoutId = $v_1;
    $v_0.requestInfo = new SP.RequestInfo();
    SP.RequestExecutor.$3[$v_0.postMessageId] = $v_0;
    SP.RequestExecutor.$X[appWebProxyUrl] = $v_1;
    SP.RequestExecutor.$A($v_0);
};
SP.RequestExecutor.$1d = function SP_RequestExecutor$$1d($p0, $p1) {
    var $v_0 = SP.RequestExecutor.$3[$p0];

    if (SP.RequestExecutorUtility.$0($v_0)) {
        return;
    }
    if (SP.RequestExecutor.$S[$p1]) {
        return;
    }
    SP.RequestExecutor.$3[$p0] = null;
    delete SP.RequestExecutor.$3[$p0];
    SP.RequestExecutor.$1J($p1);
};
SP.RequestExecutor.$1J = function SP_RequestExecutor$$1J($p0) {
    var $v_0 = SP.RequestExecutor.$P[$p0];

    if (!SP.RequestExecutorUtility.$0($v_0) && !$v_0.closed) {
        SP.RequestExecutor.$l($p0);
    }
    else {
        if (SP.RequestExecutorUtility.$0(SP.RequestExecutor.$G[$p0]) || SP.RequestExecutor.$G[$p0] < 1) {
            SP.RequestExecutorNotificationPanel.$1h($p0);
        }
        else {
            SP.RequestExecutor.$v($p0, 'RE_CannotAccessSite');
        }
    }
};
SP.RequestExecutor.$1b = function SP_RequestExecutor$$1b($p0) {
    var $v_0 = $p0;

    $v_0 = $v_0 + '?SP.CloseWindow=true';
    var $v_1 = window.open($v_0);

    if (SP.RequestExecutorUtility.$0($v_1)) {
        SP.RequestExecutor.$v($p0, 'RE_CannotAccessSiteOpenWindowFailed');
    }
    else {
        SP.RequestExecutor.$P[$p0] = $v_1;
        if (SP.RequestExecutorUtility.$0(SP.RequestExecutor.$G[$p0])) {
            SP.RequestExecutor.$G[$p0] = 1;
        }
        else {
            SP.RequestExecutor.$G[$p0] = SP.RequestExecutor.$G[$p0] + 1;
        }
        SP.RequestExecutor.$l($p0);
    }
};
SP.RequestExecutor.$v = function SP_RequestExecutor$$v($p0, $p1) {
    SP.RequestExecutor.$W[$p0] = true;
    var $v_0 = SP.RequestExecutor.$H[$p0];

    SP.RequestExecutor.$H[$p0] = [];
    if ($v_0) {
        var $v_1 = SP.RequestExecutor.$1A($p0, $p1);

        for (var $v_2 = 0; $v_2 < $v_0.length; $v_2++) {
            var $v_3 = $v_0[$v_2];
            var $v_4 = $v_3.postMessageId;
            var $v_5 = SP.RequestExecutor.$3[$v_4];

            if (!SP.RequestExecutorUtility.$0($v_5)) {
                SP.RequestExecutor.$3[$v_4] = null;
                delete SP.RequestExecutor.$3[$v_4];
                if (!SP.RequestExecutorUtility.$0($v_3.timeoutId)) {
                    window.clearTimeout($v_3.timeoutId);
                }
                SP.RequestExecutor.$N($v_3.requestInfo, SP.RequestExecutorErrors.iFrameLoadError, $v_1);
            }
        }
    }
};
SP.RequestExecutor.$l = function SP_RequestExecutor$$l($p0) {
    var $v_0 = SP.RequestExecutor.$P[$p0];

    if ($v_0) {
        if ($v_0.closed) {
            delete SP.RequestExecutor.$P[$p0];
            var $v_1 = SP.RequestExecutor.$r($p0);

            SP.RequestExecutor.$S[$p0] = false;
            SP.RequestExecutor.$V[$p0] = false;
            SP.RequestExecutor.$W[$p0] = false;
            $v_1.src = $p0 + '?ts=' + (Math.random()).toString();
        }
        else {
            window.setTimeout(function() {
                SP.RequestExecutor.$l($p0);
            }, 500);
        }
    }
};
SP.RequestExecutor.$1c = function SP_RequestExecutor$$1c($p0) {
    SP.RequestExecutor.$S[$p0] = true;
    SP.RequestExecutorNotificationPanel.$1e($p0);
    var $v_0 = SP.RequestExecutor.$H[$p0];

    if ($v_0) {
        SP.RequestExecutor.$H[$p0] = [];
        for (var $v_1 = 0; $v_1 < $v_0.length; $v_1++) {
            var $v_2 = $v_0[$v_1];

            if (SP.RequestExecutor.$3[$v_2.postMessageId]) {
                if ($v_2.requestInfo.$m_0) {
                    SP.RequestExecutor.$11($v_2);
                }
                else {
                    SP.RequestExecutor.$A($v_2);
                }
            }
        }
    }
};
SP.RequestExecutor.$11 = function SP_RequestExecutor$$11($p0) {
    if (!SP.RequestExecutorUtility.$0($p0.timeoutId)) {
        window.clearTimeout($p0.timeoutId);
    }
    var $v_0 = new SP.ResponseInfo();

    $v_0.responseAvailable = false;
    $v_0.body = '';
    $v_0.state = $p0.requestInfo.state;
    if ($p0.requestInfo.success) {
        $p0.requestInfo.success($v_0);
    }
};
SP.RequestExecutor.internalProcessIFrameRequestTimeoutCallback = function SP_RequestExecutor$internalProcessIFrameRequestTimeoutCallback(postMessageId) {
    if (!SP.RequestExecutor.$3) {
        return;
    }
    var $v_0 = SP.RequestExecutor.$3[postMessageId];

    if (SP.RequestExecutorUtility.$0($v_0)) {
        return;
    }
    SP.RequestExecutor.$3[postMessageId] = null;
    delete SP.RequestExecutor.$3[postMessageId];
    SP.RequestExecutor.$N($v_0.requestInfo, SP.RequestExecutorErrors.requestAbortedOrTimedout, SP.RequestExecutorResources.getString('RE_RequestAbortedOrTimedout'));
};
SP.RequestExecutor.internalProcessXMLHttpRequestTimeoutCallback = function SP_RequestExecutor$internalProcessXMLHttpRequestTimeoutCallback(xhr, requestInfo) {
    xhr.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
    try {
        xhr.abort();
    }
    catch ($$e_2) { }
    SP.RequestExecutor.$N(requestInfo, SP.RequestExecutorErrors.requestAbortedOrTimedout, SP.RequestExecutorResources.getString('RE_RequestAbortedOrTimedout'));
};
SP.RequestExecutor.internalProcessXMLHttpRequestOnreadystatechange = function SP_RequestExecutor$internalProcessXMLHttpRequestOnreadystatechange(xhr, requestInfo, timeoutId) {
    if (xhr.readyState === 4) {
        if (timeoutId) {
            window.clearTimeout(timeoutId);
        }
        xhr.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
        var $v_0 = new SP.ResponseInfo();

        $v_0.state = requestInfo.state;
        $v_0.responseAvailable = true;
        if (requestInfo.binaryStringResponseBody) {
            $v_0.body = SP.RequestExecutorInternalSharedUtility.$12(xhr.response);
        }
        else {
            $v_0.body = xhr.responseText;
        }
        $v_0.statusCode = xhr.status;
        $v_0.statusText = xhr.statusText;
        $v_0.contentType = xhr.getResponseHeader('content-type');
        $v_0.allResponseHeaders = xhr.getAllResponseHeaders();
        $v_0.headers = SP.RequestExecutor.$1H($v_0.allResponseHeaders);
        if (xhr.status >= 200 && xhr.status < 300 || xhr.status === 1223) {
            if (requestInfo.success) {
                requestInfo.success($v_0);
            }
        }
        else {
            var $v_1 = SP.RequestExecutorErrors.httpError;
            var $v_2 = xhr.statusText;

            if (requestInfo.error) {
                requestInfo.error($v_0, $v_1, $v_2);
            }
        }
    }
};
SP.RequestExecutor.internalOnMessage = function SP_RequestExecutor$internalOnMessage(e) {
    if (SP.RequestExecutorUtility.$0(e)) {
        return;
    }
    var $v_0 = e.data;
    var $v_1 = e.origin;

    if (SP.RequestExecutorUtility.$2($v_1) || SP.RequestExecutorUtility.$2($v_0)) {
        return;
    }
    if (!SP.RequestExecutor.$3) {
        return;
    }
    var $v_2 = JSON.parse($v_0);

    if (SP.RequestExecutorUtility.$0($v_2)) {
        return;
    }
    if (SP.RequestExecutorUtility.$2($v_2.postMessageId)) {
        return;
    }
    var $v_3 = SP.RequestExecutor.$3[$v_2.postMessageId];

    if (SP.RequestExecutorUtility.$0($v_3)) {
        return;
    }
    var $v_4 = SP.RequestExecutor.$I($v_1);
    var $v_5 = SP.RequestExecutor.$I($v_3.appWebProxyUrl);

    if ($v_4.toLowerCase() !== $v_5.toLowerCase()) {
        return;
    }
    var $v_6 = $v_2.postMessageId;

    delete SP.RequestExecutor.$3[$v_6];
    if (!SP.RequestExecutorUtility.$0($v_3.timeoutId)) {
        window.clearTimeout($v_3.timeoutId);
        $v_3.timeoutId = 0;
        delete $v_3.timeoutId;
    }
    if ($v_2.command === 'Ping') {
        var $v_7 = $v_3.appWebProxyUrl;

        SP.RequestExecutor.$1c($v_7);
    }
    else if ($v_2.command === 'Query') {
        var $v_8 = new SP.ResponseInfo();

        $v_8.responseAvailable = $v_2.responseAvailable;
        $v_8.body = $v_2.responseText;
        $v_8.statusCode = $v_2.statusCode;
        $v_8.statusText = $v_2.statusText;
        $v_8.contentType = $v_2.contentType;
        $v_8.state = $v_3.requestInfo.state;
        $v_8.allResponseHeaders = $v_2.allResponseHeaders;
        $v_8.headers = SP.RequestExecutor.$1H($v_2.allResponseHeaders);
        $v_8.binaryStringResponseBody = $v_2.binaryStringResponseBody;
        if (SP.RequestExecutorUtility.$0($v_8.body)) {
            $v_8.body = '';
        }
        var $v_9 = 0;
        var $v_A = null;

        if ($v_2.errorCode) {
            $v_9 = $v_2.errorCode;
            $v_A = $v_2.errorMessage;
        }
        else {
            if ($v_2.statusCode >= 200 && $v_2.statusCode < 300 || $v_2.statusCode === 1223) {
                $v_9 = 0;
                $v_A = null;
            }
            else {
                $v_9 = SP.RequestExecutorErrors.httpError;
                $v_A = $v_2.statusText;
            }
        }
        if (!$v_9) {
            if ($v_3.requestInfo.success) {
                $v_3.requestInfo.success($v_8);
            }
        }
        else {
            if ($v_3.requestInfo.error) {
                $v_3.requestInfo.error($v_8, $v_9, $v_A);
            }
        }
    }
};
SP.RequestExecutor.get_$10 = function SP_RequestExecutor$get_$10() {
    return !!document.body || SP.RequestExecutor.$x;
};
SP.RequestExecutor.$z = function SP_RequestExecutor$$z($p0, $p1) {
    if (!SP.RequestExecutor.$Z) {
        SP.RequestExecutor.$Z = [];
    }
    if (!SP.RequestExecutor.$Y) {
        SP.RequestExecutor.$Y = [];
    }
    SP.RequestExecutor.$Z.push($p0);
    SP.RequestExecutor.$Y.push($p1);
};
SP.RequestExecutor.internalProcessWindowLoad = function SP_RequestExecutor$internalProcessWindowLoad() {
    SP.RequestExecutor.$x = true;
    var $v_0 = SP.RequestExecutor.$Z;

    SP.RequestExecutor.$Z = null;
    var $v_1 = SP.RequestExecutor.$Y;

    SP.RequestExecutor.$Y = null;
    if ($v_0) {
        for (var $v_2 = 0; $v_2 < $v_0.length; $v_2++) {
            var $v_3 = $v_0[$v_2];
            var $v_4 = $v_1[$v_2];

            $v_3.executeAsync($v_4);
        }
    }
};
SP.RequestExecutor.$h = function SP_RequestExecutor$$h() {
    var $v_0 = window.XMLHttpRequest;

    if (SP.RequestExecutorUtility.$7($v_0)) {
        throw SP.RequestExecutorUtility.$K(SP.RequestExecutorResources.getString('RE_BrowserNotSupported'), SP.RequestExecutorExceptions.browserNotSupported);
    }
    return new XMLHttpRequest();
};
SP.RequestExecutor.$1H = function SP_RequestExecutor$$1H($p0) {
    if (SP.RequestExecutorUtility.$2($p0)) {
        return null;
    }
    var $v_0 = {};
    var $v_1 = new RegExp('\r?\n');
    var $v_2 = $p0.split($v_1);

    for (var $v_3 = 0; $v_3 < $v_2.length; $v_3++) {
        var $v_4 = $v_2[$v_3];

        if (!SP.RequestExecutorUtility.$2($v_4)) {
            var $v_5 = $v_4.indexOf(':');

            if ($v_5 > 0) {
                var $v_6 = $v_4.substr(0, $v_5);
                var $v_7 = $v_4.substr($v_5 + 1);

                $v_6 = SP.RequestExecutorNative.trim($v_6);
                $v_7 = SP.RequestExecutorNative.trim($v_7);
                $v_0[$v_6.toUpperCase()] = $v_7;
            }
        }
    }
    return $v_0;
};
SP.RequestExecutor.$1i = function SP_RequestExecutor$$1i($p0) {
    if (SP.RequestExecutorUtility.$0($p0)) {
        throw SP.RequestExecutorUtility.$D('requestInfo');
    }
    SP.RequestExecutorUtility.$5($p0.url, 'requestInfo.url', 'string', true);
    SP.RequestExecutorUtility.$5($p0.body, 'requestInfo.body', 'string', false);
    SP.RequestExecutorUtility.$5($p0.success, 'requestInfo.success', 'function', false);
    SP.RequestExecutorUtility.$5($p0.error, 'requestInfo.error', 'function', false);
    SP.RequestExecutorUtility.$5($p0.timeout, 'requestInfo.timeout', 'number', false);
    SP.RequestExecutorUtility.$5($p0.method, 'requestInfo.method', 'string', false);
    SP.RequestExecutorUtility.$5($p0.binaryStringRequestBody, 'requestInfo.BinaryRequestBody', 'boolean', false);
    SP.RequestExecutorUtility.$5($p0.binaryStringResponseBody, 'requestInfo.BinaryResponseBody', 'boolean', false);
    if (SP.RequestExecutorUtility.$2($p0.method)) {
        $p0.method = 'GET';
    }
    else {
        $p0.method = $p0.method.toUpperCase();
    }
    if (SP.RequestExecutorUtility.$0($p0.timeout)) {
        $p0.timeout = 90000;
    }
    if ($p0.timeout < 0) {
        throw SP.RequestExecutorUtility.$D('requestInfo.timeout');
    }
    if (SP.RequestExecutorUtility.$2($p0.url)) {
        throw SP.RequestExecutorUtility.$D('requestInfo.url');
    }
};
SP.RequestExecutor.$1A = function SP_RequestExecutor$$1A($p0, $p1) {
    var $v_0 = $p0;
    var $v_1 = $v_0.indexOf('/_layouts');

    if ($v_1 > 0) {
        $v_0 = $v_0.substr(0, $v_1);
    }
    var $v_2 = SP.RequestExecutorResources.getString($p1);

    $v_2 = SP.RequestExecutorUtility.$T($v_2, $v_0);
    return $v_2;
};
SP.RequestExecutor.internalLoginButtonHandler = function SP_RequestExecutor$internalLoginButtonHandler(panelId) {
    var $v_0 = SP.RequestExecutorNotificationPanel.$19(panelId);

    if (!SP.RequestExecutorUtility.$2($v_0)) {
        var $v_1 = SP.RequestExecutorNotificationPanel.$1V($v_0);

        if (SP.RequestExecutorUtility.$2($v_1)) {
            SP.RequestExecutor.$1b($v_0);
        }
        else {
            var $v_2 = $v_0;

            $v_2 = $v_2 + '?SP.ReturnUrl=' + SP.RequestExecutorHttpUtility.$1L($v_1, false, false);
            window.top.location.href = $v_2;
        }
    }
    SP.RequestExecutorNotificationPanel.$u(panelId);
};
SP.RequestExecutor.internalCancelButtonHandler = function SP_RequestExecutor$internalCancelButtonHandler(panelId) {
    var $v_0 = SP.RequestExecutorNotificationPanel.$19(panelId);

    if (!SP.RequestExecutorUtility.$2($v_0)) {
        SP.RequestExecutor.$v($v_0, 'RE_CannotAccessSiteCancelled');
    }
    SP.RequestExecutorNotificationPanel.$u(panelId);
};
SP.RequestExecutor.prototype = {
    $9_0: null,
    $M_0: null,
    $1E_0: null,
    $L_0: 0,
    get_formDigestHandlingEnabled: function SP_RequestExecutor$get_formDigestHandlingEnabled() {
        return this.formDigestHandlingEnabled;
    },
    set_formDigestHandlingEnabled: function SP_RequestExecutor$set_formDigestHandlingEnabled(value) {
        this.formDigestHandlingEnabled = value;
        return value;
    },
    get_iFrameSourceUrl: function SP_RequestExecutor$get_iFrameSourceUrl() {
        return this.iFrameSourceUrl;
    },
    set_iFrameSourceUrl: function SP_RequestExecutor$set_iFrameSourceUrl(value) {
        this.iFrameSourceUrl = value;
        return value;
    },
    get_$j_0: function SP_RequestExecutor$get_$j_0() {
        return SP.RequestExecutor.$b(this.$1E_0, this.get_iFrameSourceUrl());
    },
    executeAsync: function SP_RequestExecutor$executeAsync(requestInfo) {
        SP.RequestExecutor.$1i(requestInfo);
        if (SP.RequestExecutorUtility.$1C(requestInfo.url)) {
            if ((SP.RequestExecutor.$I(requestInfo.url)).toLowerCase() !== (SP.RequestExecutor.$I(this.$9_0)).toLowerCase()) {
                throw SP.RequestExecutorUtility.$D('requestInfo.url');
            }
        }
        else {
            requestInfo.url = SP.RequestExecutor.$b(this.$9_0, requestInfo.url);
        }
        if (requestInfo.binaryStringRequestBody || requestInfo.binaryStringResponseBody) {
            SP.RequestExecutor.$1M();
        }
        if (this.$L_0 === 2) {
            SP.RequestExecutor.$k();
            this.$14_0();
            if (SP.RequestExecutor.get_$10()) {
                this.$16_0(this.get_$j_0(), requestInfo);
            }
            else {
                SP.RequestExecutor.$z(this, requestInfo);
            }
        }
        else if (this.$L_0 === 3) {
            this.$1P_0(requestInfo);
        }
        else {
            SP.RequestExecutor.$k();
            this.$1Q_0(requestInfo);
        }
    },
    attemptLogin: function SP_RequestExecutor$attemptLogin(returnUrl, success, error) {
        SP.RequestExecutorUtility.$a(returnUrl, 'returnUrl');
        SP.RequestExecutorUtility.$5(success, 'success', 'function', true);
        SP.RequestExecutorUtility.$5(error, 'error', 'function', false);
        if (this.$L_0 === 2) {
            SP.RequestExecutor.$k();
            this.$14_0();
            var $v_0 = this.get_$j_0();

            SP.RequestExecutorNotificationPanel.$y($v_0, returnUrl);
            var $v_1 = new SP.RequestInfo();

            $v_1.$m_0 = true;
            var $$t_A = this;

            $v_1.success = function($p1_0) {
                SP.RequestExecutorNotificationPanel.$y($v_0, null);
                success($p1_0);
            };
            var $$t_B = this;

            $v_1.error = function($p1_0, $p1_1, $p1_2) {
                SP.RequestExecutorNotificationPanel.$y($v_0, null);
                if (error) {
                    error($p1_0, $p1_1, $p1_2);
                }
            };
            if (SP.RequestExecutor.get_$10()) {
                this.$16_0(this.get_$j_0(), $v_1);
            }
            else {
                SP.RequestExecutor.$z(this, $v_1);
            }
        }
        else {
            var $v_2 = new SP.ResponseInfo();

            $v_2.responseAvailable = true;
            $v_2.body = '';
            success($v_2);
        }
    },
    $16_0: function SP_RequestExecutor$$16_0($p0, $p1) {
        SP.RequestExecutor.$g++;
        var $v_0 = new SP.AppWebProxyRequestInfo();

        $v_0.command = 'Query';
        $v_0.postMessageId = SP.RequestExecutorInternalSharedUtility.$e + SP.RequestExecutor.$g.toString();
        $v_0.appWebProxyUrl = $p0;
        $v_0.requestInfo = $p1;
        if (!SP.RequestExecutor.$H) {
            SP.RequestExecutor.$H = {};
        }
        if (!SP.RequestExecutor.$R) {
            SP.RequestExecutor.$R = {};
        }
        if (!SP.RequestExecutor.$V) {
            SP.RequestExecutor.$V = {};
        }
        if (!SP.RequestExecutor.$S) {
            SP.RequestExecutor.$S = {};
        }
        if (!SP.RequestExecutor.$X) {
            SP.RequestExecutor.$X = {};
        }
        if (!SP.RequestExecutor.$W) {
            SP.RequestExecutor.$W = {};
        }
        if (!SP.RequestExecutor.$3) {
            SP.RequestExecutor.$3 = {};
        }
        if (!SP.RequestExecutor.$P) {
            SP.RequestExecutor.$P = {};
        }
        if (!SP.RequestExecutor.$G) {
            SP.RequestExecutor.$G = {};
        }
        if (SP.RequestExecutor.$W[$p0]) {
            var $v_3 = SP.RequestExecutor.$1A($p0, 'RE_CannotAccessSite');

            SP.RequestExecutor.$N($p1, SP.RequestExecutorErrors.iFrameLoadError, $v_3);
            return;
        }
        var $v_1 = SP.RequestExecutor.$H[$p0];

        if (!$v_1) {
            $v_1 = [];
            SP.RequestExecutor.$H[$p0] = $v_1;
        }
        SP.RequestExecutor.$3[$v_0.postMessageId] = $v_0;
        if ($v_0.requestInfo.timeout > 0) {
            var $v_4 = SP.RequestExecutorNative.getIFrameRequestTimeoutCallback($v_0.postMessageId);

            $v_0.timeoutId = window.setTimeout($v_4, $v_0.requestInfo.timeout);
        }
        var $v_2 = SP.RequestExecutor.$r($p0);

        if ($v_2) {
            if (SP.RequestExecutor.$V[$p0] && SP.RequestExecutor.$S[$p0]) {
                if ($v_0.requestInfo.$m_0) {
                    SP.RequestExecutor.$11($v_0);
                }
                else {
                    SP.RequestExecutor.$A($v_0);
                }
            }
            else {
                $v_1.push($v_0);
            }
        }
        else {
            $v_1.push($v_0);
            $v_2 = SP.RequestExecutor.$1N($p0);
        }
    },
    $1P_0: function SP_RequestExecutor$$1P_0($p0) {
        var $v_0 = SP.RequestExecutor.$b(this.$9_0, '_api/contextinfo');

        $v_0 = SP.RequestExecutor.$1B(this.$M_0, $v_0);
        var $$t_4 = this;

        SP.RequestExecutor.$15(this.$9_0, $v_0, this.get_formDigestHandlingEnabled(), $p0, function($p1_0, $p1_1) {
            $$t_4.$17_0($p1_0, $p1_1);
        });
    },
    $17_0: function SP_RequestExecutor$$17_0($p0, $p1) {
        var $v_0 = SP.RequestExecutor.$h();
        var $v_1;

        if (this.$L_0 === 3) {
            $v_1 = SP.RequestExecutor.$1B(this.$M_0, $p1.url);
        }
        else {
            $v_1 = SP.RequestExecutorUtility.$c($p1.url);
        }
        $v_0.open($p1.method, $v_1);
        var $v_2 = false;

        if ($p1.headers) {
            var $$dict_5 = $p1.headers;

            for (var $$key_6 in $$dict_5) {
                var $v_5 = {
                    key: $$key_6,
                    value: $$dict_5[$$key_6]
                };

                if (!SP.RequestExecutorUtility.$2($v_5.key)) {
                    $v_0.setRequestHeader($v_5.key, $v_5.value);
                    if ($v_5.key.toLowerCase() === 'x-requestdigest') {
                        $v_2 = true;
                    }
                }
            }
        }
        if (!$v_2 && !SP.RequestExecutorUtility.$2($p0)) {
            $v_0.setRequestHeader('X-RequestDigest', $p0);
        }
        if ($p1.binaryStringResponseBody) {
            SP.RequestExecutorInternalSharedUtility.$1K($v_0);
        }
        var $v_3 = 0;

        if ($p1.timeout > 0) {
            $v_3 = window.setTimeout(SP.RequestExecutorNative.getXMLHttpRequestTimeoutCallback($v_0, $p1), $p1.timeout);
        }
        $v_0.onreadystatechange = SP.RequestExecutorNative.getXMLHttpRequestOnreadystatechangeCallback($v_0, $p1, $v_3);
        var $v_4 = $p1.body;

        if ($p1.binaryStringRequestBody) {
            $v_4 = SP.RequestExecutorInternalSharedUtility.$13($p1.body);
        }
        $v_0.send($v_4);
    },
    $1Q_0: function SP_RequestExecutor$$1Q_0($p0) {
        var $v_0 = SP.RequestExecutor.$b(this.$9_0, '_api/contextinfo');

        $v_0 = SP.RequestExecutorUtility.$c($v_0);
        var $$t_4 = this;

        SP.RequestExecutor.$15(this.$9_0, $v_0, this.get_formDigestHandlingEnabled(), $p0, function($p1_0, $p1_1) {
            $$t_4.$17_0($p1_0, $p1_1);
        });
    },
    $14_0: function SP_RequestExecutor$$14_0() {
        if (SP.RequestExecutor.$J) {
            return;
        }
        var $v_0 = window.SP.RequestExecutor.internalOnMessage;

        if (!SP.RequestExecutorUtility.$7(window.addEventListener)) {
            window.addEventListener('message', $v_0, false);
            SP.RequestExecutor.$J = true;
        }
        else if (!SP.RequestExecutorUtility.$7(window.attachEvent)) {
            window.attachEvent('onmessage', $v_0);
            SP.RequestExecutor.$J = true;
        }
        else {
            throw SP.RequestExecutorUtility.$o();
        }
    }
};
SP.RequestExecutorErrors = function SP_RequestExecutorErrors() {
};
SP.RequestExecutorExceptions = function SP_RequestExecutorExceptions() {
};
SP.RequestExecutorInternalSharedUtility = function SP_RequestExecutorInternalSharedUtility() {
};
SP.RequestExecutorInternalSharedUtility.$I = function SP_RequestExecutorInternalSharedUtility$$I($p0) {
    var $v_0 = $p0.indexOf('://');

    $v_0 = $p0.indexOf('/', $v_0 + 3);
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    if (($p0.substr(0, 8)).toLowerCase() === 'https://' && $p0.substr($p0.length - 4, 4) === ':443') {
        $p0 = $p0.substr(0, $p0.length - 4);
    }
    else if (($p0.substr(0, 7)).toLowerCase() === 'http://' && $p0.substr($p0.length - 3, 3) === ':80') {
        $p0 = $p0.substr(0, $p0.length - 3);
    }
    return $p0;
};
SP.RequestExecutorInternalSharedUtility.$1W = function SP_RequestExecutorInternalSharedUtility$$1W($p0) {
    $p0 = SP.RequestExecutorInternalSharedUtility.$I($p0);
    if (($p0.substr(0, 8)).toLowerCase() === 'https://') {
        $p0 = $p0.substr(8);
    }
    else if (($p0.substr(0, 7)).toLowerCase() === 'http://') {
        $p0 = $p0.substr(7);
    }
    return $p0;
};
SP.RequestExecutorInternalSharedUtility.$13 = function SP_RequestExecutorInternalSharedUtility$$13($p0) {
    var $v_0 = null;

    if (typeof value == 'string') {
        var buffer = new ArrayBuffer($p0.length);
        var byteArray = new Uint8Array(buffer);

        for (var i = 0; i < $p0.length; i++) {
            byteArray[i] = $p0.charCodeAt(i) & 0xff;
        }
        var bb = null;

        if (window.BlobBuilder) {
            bb = new BlobBuilder();
        }
        else if (window.MozBlobBuilder) {
            bb = new MozBlobBuilder();
        }
        if (bb) {
            bb.append(buffer);
            $v_0 = bb.getBlob();
        }
        else {
            $v_0 = buffer;
        }
    }
    ;
    return $v_0;
};
SP.RequestExecutorInternalSharedUtility.$12 = function SP_RequestExecutorInternalSharedUtility$$12($p0) {
    var $v_0 = '';

    if ($p0) {
        var byteArray = new Uint8Array($p0);

        for (var i = 0; i < $p0.byteLength; i++) {
            ret = ret + String.fromCharCode(byteArray[i]);
        }
    }
    ;
    return $v_0;
};
SP.RequestExecutorInternalSharedUtility.$1K = function SP_RequestExecutorInternalSharedUtility$$1K($p0) {
    $p0.responseType = 'arraybuffer';
};
SP.RequestExecutorMessageProcessor = function SP_RequestExecutorMessageProcessor($p0, $p1) {
    this.$E_0 = $p0;
    this.$1_0 = $p1;
    if (SP.RequestExecutorUtility.$2(this.$1_0.method)) {
        this.$1_0.method = 'GET';
    }
    else {
        this.$1_0.method = this.$1_0.method.toUpperCase();
    }
    this.$F_0 = 0;
};
SP.RequestExecutorMessageProcessor.$A = function SP_RequestExecutorMessageProcessor$$A($p0, $p1) {
    var $v_0 = JSON.stringify($p0);

    window.parent.postMessage($v_0, $p1);
};
SP.RequestExecutorMessageProcessor.$1T = function SP_RequestExecutorMessageProcessor$$1T($p0) {
    if (!SP.RequestExecutorMessageProcessor.$Q) {
        SP.RequestExecutorMessageProcessor.$Q = {};
    }
    $p0 = SP.RequestExecutorMessageProcessor.$q($p0);
    var $v_0 = SP.RequestExecutorMessageProcessor.$Q[$p0];

    if (!$v_0) {
        return null;
    }
    var $v_1 = new Date();

    if ($v_0.expiration < $v_1.getTime()) {
        return null;
    }
    return $v_0.digestValue;
};
SP.RequestExecutorMessageProcessor.$q = function SP_RequestExecutorMessageProcessor$$q($p0) {
    var $v_0;

    $v_0 = $p0.indexOf('?');
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    $v_0 = $p0.indexOf('#');
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    $p0 = $p0.toLowerCase();
    $v_0 = $p0.indexOf('/_layouts');
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    $v_0 = $p0.indexOf('/_vti_');
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    $v_0 = $p0.indexOf('/_api');
    if ($v_0 > 0) {
        $p0 = $p0.substr(0, $v_0);
    }
    if ($p0.charAt($p0.length - 1) !== '/') {
        $p0 = $p0 + '/';
    }
    $p0 += '_api/contextinfo';
    return $p0;
};
SP.RequestExecutorMessageProcessor.init = function SP_RequestExecutorMessageProcessor$init(settings) {
    SP.RequestExecutorMessageProcessor.$B = settings;
    if (SP.RequestExecutorMessageProcessor.$B) {
        if (SP.RequestExecutorUtility.$7(SP.RequestExecutorMessageProcessor.$B.formDigestHandlingEnabled)) {
            SP.RequestExecutorMessageProcessor.$B.formDigestHandlingEnabled = false;
        }
        if (SP.RequestExecutorUtility.$7(SP.RequestExecutorMessageProcessor.$B.initErrorCode)) {
            SP.RequestExecutorMessageProcessor.$B.initErrorCode = 0;
        }
        if (SP.RequestExecutorUtility.$7(SP.RequestExecutorMessageProcessor.$B.initErrorMessage)) {
            SP.RequestExecutorMessageProcessor.$B.initErrorMessage = '';
        }
    }
    if (!SP.RequestExecutorMessageProcessor.$J) {
        var $v_0 = window.SP.RequestExecutorMessageProcessor.internalOnMessage;

        if (window.addEventListener) {
            window.addEventListener('message', $v_0, false);
            SP.RequestExecutorMessageProcessor.$J = true;
        }
        else if (window.attachEvent) {
            window.attachEvent('onmessage', $v_0);
            SP.RequestExecutorMessageProcessor.$J = true;
        }
    }
};
SP.RequestExecutorMessageProcessor.internalOnMessage = function SP_RequestExecutorMessageProcessor$internalOnMessage(e) {
    if (SP.RequestExecutorUtility.$0(e)) {
        return;
    }
    var $v_0 = SP.RequestExecutorMessageProcessor.$B;

    if (!$v_0) {
        return;
    }
    var $v_1 = e.data;
    var $v_2 = e.origin;

    if (SP.RequestExecutorUtility.$2($v_2)) {
        return;
    }
    if (SP.RequestExecutorUtility.$2($v_1)) {
        return;
    }
    var $v_3 = JSON.parse($v_1);

    if (SP.RequestExecutorUtility.$0($v_3)) {
        return;
    }
    if (SP.RequestExecutorUtility.$2($v_3.postMessageId)) {
        return;
    }
    if ($v_3.postMessageId.substr(0, SP.RequestExecutorInternalSharedUtility.$e.length) !== SP.RequestExecutorInternalSharedUtility.$e) {
        return;
    }
    if (SP.RequestExecutorUtility.$2($v_3.command)) {
        return;
    }
    if ($v_3.command === 'Ping') {
        SP.RequestExecutorMessageProcessor.$i($v_3, 0, '', $v_2);
        return;
    }
    if ($v_3.command !== 'Query' || SP.RequestExecutorUtility.$2($v_3.url) || SP.RequestExecutorUtility.$2($v_3.method)) {
        return;
    }
    if ($v_0.initErrorCode < 0) {
        SP.RequestExecutorMessageProcessor.$i($v_3, $v_0.initErrorCode, $v_0.initErrorMessage, $v_2);
        return;
    }
    if ((!$v_0.trustedOriginAuthorities || !$v_0.trustedOriginAuthorities.length) && !$v_0.originAuthorityValidator) {
        SP.RequestExecutorMessageProcessor.$i($v_3, SP.RequestExecutorErrors.noTrustedOrigins, SP.RequestExecutorResources.getString('RE_NoTrustedOrigins'), $v_2);
        return;
    }
    var $v_4 = false;
    var $v_5 = (SP.RequestExecutorInternalSharedUtility.$1W($v_2)).toLowerCase();

    if ($v_0.trustedOriginAuthorities) {
        for (var $v_8 = 0; $v_8 < $v_0.trustedOriginAuthorities.length; $v_8++) {
            var $v_9 = $v_0.trustedOriginAuthorities[$v_8].toLowerCase();

            if ($v_9 === $v_5) {
                $v_4 = true;
                break;
            }
        }
    }
    if (!$v_4 && $v_0.originAuthorityValidator) {
        $v_4 = $v_0.originAuthorityValidator($v_5);
    }
    if (!$v_4) {
        SP.RequestExecutorMessageProcessor.$i($v_3, SP.RequestExecutorErrors.domainDoesNotMatch, SP.RequestExecutorResources.getString('RE_DomainDoesNotMatch'), $v_2);
        return;
    }
    var $v_6 = new SP.RequestExecutorMessageProcessor($v_2, $v_3);
    var $v_7 = 0;

    if ($v_7 > 0) {
        window.setTimeout(function() {
            $v_6.$1I_0();
        }, $v_7);
    }
    else {
        $v_6.$1I_0();
    }
};
SP.RequestExecutorMessageProcessor.$i = function SP_RequestExecutorMessageProcessor$$i($p0, $p1, $p2, $p3) {
    var $v_0 = new SP.PostMessageResponseInfo();

    $v_0.command = $p0.command;
    $v_0.postMessageId = $p0.postMessageId;
    $v_0.responseAvailable = false;
    $v_0.errorCode = $p1;
    $v_0.errorMessage = $p2;
    SP.RequestExecutorMessageProcessor.$A($v_0, $p3);
};
SP.RequestExecutorMessageProcessor.prototype = {
    $E_0: null,
    $1_0: null,
    $F_0: 0,
    $4_0: null,
    $1I_0: function SP_RequestExecutorMessageProcessor$$1I_0() {
        if (this.$1_0.method === 'GET' || !SP.RequestExecutorMessageProcessor.$B.formDigestHandlingEnabled) {
            this.$t_0(null);
        }
        else {
            var $v_0 = SP.RequestExecutorMessageProcessor.$1T(this.$1_0.url);

            if (SP.RequestExecutorUtility.$2($v_0)) {
                this.$1R_0();
            }
            else {
                this.$t_0($v_0);
            }
        }
    },
    $1R_0: function SP_RequestExecutorMessageProcessor$$1R_0() {
        var $v_0 = SP.RequestExecutorMessageProcessor.$q(this.$1_0.url);

        $v_0 = SP.RequestExecutorUtility.$c($v_0);
        var $v_1 = SP.RequestExecutor.$h();

        $v_1.open('POST', $v_0);
        $v_1.setRequestHeader('ACCEPT', 'application/json');
        if (this.$1_0.timeout > 0) {
            var $$t_3 = this;

            this.$F_0 = window.setTimeout(function() {
                $v_1.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
                $v_1.abort();
                var $v_2 = new SP.PostMessageResponseInfo();

                $v_2.command = 'Query';
                $v_2.errorCode = SP.RequestExecutorErrors.requestAbortedOrTimedout;
                $v_2.errorMessage = SP.RequestExecutorResources.getString('RE_RequestAbortedOrTimedout');
                $v_2.postMessageId = $$t_3.$1_0.postMessageId;
                $v_2.responseAvailable = false;
                SP.RequestExecutorMessageProcessor.$A($v_2, $$t_3.$E_0);
            }, this.$1_0.timeout);
        }
        var $$t_4 = this;

        $v_1.onreadystatechange = function() {
            if ($v_1 && $v_1.readyState === 4) {
                if ($$t_4.$F_0) {
                    window.clearTimeout($$t_4.$F_0);
                    $$t_4.$F_0 = 0;
                }
                $v_1.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
                $$t_4.$1S_0($v_1);
            }
        };
        $v_1.send('');
    },
    $1S_0: function SP_RequestExecutorMessageProcessor$$1S_0($p0) {
        if ($p0.status !== 200) {
            var $v_5 = this.$d_0($p0);

            $v_5.errorCode = SP.RequestExecutorErrors.httpError;
            var $v_6 = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponseWithContentTypeAndStatus');

            $v_5.errorMessage = SP.RequestExecutorUtility.$T($v_6, $p0.getResponseHeader('content-type'), $p0.status.toString());
            SP.RequestExecutorMessageProcessor.$A($v_5, this.$E_0);
            return;
        }
        var $v_0 = $p0.getResponseHeader('content-type');

        if (SP.RequestExecutorUtility.$2($v_0) || ($v_0.toLowerCase()).indexOf('json') < 0) {
            var $v_7 = this.$d_0($p0);

            $v_7.errorCode = SP.RequestExecutorErrors.unexpectedResponse;
            $v_7.errorMessage = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponse');
            SP.RequestExecutorMessageProcessor.$A($v_7, this.$E_0);
            return;
        }
        var $v_1 = $p0.getResponseHeader('SharePointError');

        if (!SP.RequestExecutorUtility.$2($v_1)) {
            var $v_8 = this.$d_0($p0);

            $v_8.errorCode = SP.RequestExecutorErrors.unexpectedResponse;
            $v_8.errorMessage = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponse');
            SP.RequestExecutorMessageProcessor.$A($v_8, this.$E_0);
            return;
        }
        var $v_2 = JSON.parse($p0.responseText);

        if (SP.RequestExecutorUtility.$0($v_2)) {
            var $v_9 = this.$d_0($p0);

            $v_9.errorCode = SP.RequestExecutorErrors.unexpectedResponse;
            $v_9.errorMessage = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponse');
            SP.RequestExecutorMessageProcessor.$A($v_9, this.$E_0);
            return;
        }
        var $v_3 = new SP.RequestExecutorMessageProcessorFormDigestInfo();

        try {
            $v_3.digestValue = $v_2.d.GetContextWebInformation.FormDigestValue;
            var $v_A = $v_2.d.GetContextWebInformation.FormDigestTimeoutSeconds;

            $v_3.expiration = (new Date()).getTime() + $v_A * 750;
        }
        catch ($$e_B) {
            var $v_B = this.$d_0($p0);

            $v_B.errorCode = SP.RequestExecutorErrors.unexpectedResponse;
            $v_B.errorMessage = SP.RequestExecutorResources.getString('RE_RequestUnexpectedResponse');
            SP.RequestExecutorMessageProcessor.$A($v_B, this.$E_0);
            return;
        }
        if (!SP.RequestExecutorMessageProcessor.$Q) {
            SP.RequestExecutorMessageProcessor.$Q = {};
        }
        var $v_4 = SP.RequestExecutorMessageProcessor.$q(this.$1_0.url);

        SP.RequestExecutorMessageProcessor.$Q[$v_4] = $v_3;
        this.$t_0($v_3.digestValue);
    },
    $d_0: function SP_RequestExecutorMessageProcessor$$d_0($p0) {
        var $v_0 = new SP.PostMessageResponseInfo();

        $v_0.command = 'Query';
        $v_0.errorCode = 0;
        $v_0.errorMessage = null;
        $v_0.postMessageId = this.$1_0.postMessageId;
        $v_0.responseAvailable = true;
        $v_0.statusText = $p0.statusText;
        $v_0.statusCode = $p0.status;
        $v_0.contentType = $p0.getResponseHeader('content-type');
        $v_0.allResponseHeaders = $p0.getAllResponseHeaders();
        $v_0.responseText = $p0.responseText;
        return $v_0;
    },
    $t_0: function SP_RequestExecutorMessageProcessor$$t_0($p0) {
        this.$4_0 = SP.RequestExecutor.$h();
        var $v_0 = this.$1_0.url;

        $v_0 = SP.RequestExecutorUtility.$c($v_0);
        this.$4_0.open(this.$1_0.method, $v_0);
        var $v_1 = false;

        if (this.$1_0.headers) {
            var $$dict_3 = this.$1_0.headers;

            for (var $$key_4 in $$dict_3) {
                var $v_3 = {
                    key: $$key_4,
                    value: $$dict_3[$$key_4]
                };

                if ($v_3.key.toLowerCase() === 'x-requestdigest') {
                    $v_1 = true;
                }
                this.$4_0.setRequestHeader($v_3.key, $v_3.value);
            }
        }
        if (!$v_1 && !SP.RequestExecutorUtility.$2($p0)) {
            this.$4_0.setRequestHeader('X-RequestDigest', $p0);
        }
        if (this.$1_0.binaryStringResponseBody) {
            SP.RequestExecutorInternalSharedUtility.$1K(this.$4_0);
        }
        if (this.$1_0.timeout > 0) {
            var $$t_7 = this;

            this.$F_0 = window.setTimeout(function() {
                $$t_7.$1g_0();
            }, this.$1_0.timeout);
        }
        var $$t_8 = this;

        this.$4_0.onreadystatechange = function() {
            $$t_8.$1f_0();
        };
        var $v_2;

        if (this.$1_0.binaryStringRequestBody) {
            $v_2 = SP.RequestExecutorInternalSharedUtility.$13(this.$1_0.body);
        }
        else {
            $v_2 = this.$1_0.body;
        }
        this.$4_0.send($v_2);
    },
    $1g_0: function SP_RequestExecutorMessageProcessor$$1g_0() {
        if (this.$4_0) {
            this.$4_0.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
            this.$4_0.abort();
            var $v_0 = new SP.PostMessageResponseInfo();

            $v_0.command = 'Query';
            $v_0.errorCode = SP.RequestExecutorErrors.requestAbortedOrTimedout;
            $v_0.errorMessage = SP.RequestExecutorResources.getString('RE_RequestAbortedOrTimedout');
            $v_0.postMessageId = this.$1_0.postMessageId;
            $v_0.responseAvailable = false;
            SP.RequestExecutorMessageProcessor.$A($v_0, this.$E_0);
        }
    },
    $1f_0: function SP_RequestExecutorMessageProcessor$$1f_0() {
        if (this.$4_0 && this.$4_0.readyState === 4) {
            if (this.$F_0) {
                window.clearTimeout(this.$F_0);
                this.$F_0 = 0;
            }
            this.$4_0.onreadystatechange = SP.RequestExecutorNative.emptyCallback;
            var $v_0 = new SP.PostMessageResponseInfo();

            $v_0.command = 'Query';
            $v_0.errorCode = 0;
            $v_0.errorMessage = null;
            $v_0.postMessageId = this.$1_0.postMessageId;
            $v_0.responseAvailable = true;
            $v_0.statusText = this.$4_0.statusText;
            $v_0.statusCode = this.$4_0.status;
            $v_0.contentType = this.$4_0.getResponseHeader('content-type');
            $v_0.allResponseHeaders = this.$4_0.getAllResponseHeaders();
            $v_0.binaryStringResponseBody = this.$1_0.binaryStringResponseBody;
            if (this.$1_0.binaryStringResponseBody) {
                $v_0.responseText = SP.RequestExecutorInternalSharedUtility.$12(this.$4_0.response);
            }
            else {
                $v_0.responseText = this.$4_0.responseText;
            }
            SP.RequestExecutorMessageProcessor.$A($v_0, this.$E_0);
        }
    }
};
SP.RequestExecutorNotificationPanel = function SP_RequestExecutorNotificationPanel() {
};
SP.RequestExecutorNotificationPanel.$1h = function SP_RequestExecutorNotificationPanel$$1h($p0) {
    if (!SP.RequestExecutorNotificationPanel.$C) {
        SP.RequestExecutorNotificationPanel.$C = {};
    }
    if (SP.RequestExecutorUtility.$0(SP.RequestExecutorNotificationPanel.$C[$p0])) {
        SP.RequestExecutorNotificationPanel.$C[$p0] = SP.RequestExecutorNotificationPanel.$w;
        SP.RequestExecutorNotificationPanel.$w++;
    }
    var $v_0 = SP.RequestExecutorNotificationPanel.$C[$p0];
    var $v_1 = document.getElementById('SP_RequestExecutor_NotificationPanel' + $v_0.toString());

    if ($v_1) {
        return;
    }
    $v_1 = document.createElement('DIV');
    $v_1.id = 'SP_RequestExecutor_NotificationPanel' + $v_0.toString();
    $v_1.style.position = 'absolute';
    $v_1.style.width = '350px';
    $v_1.style.borderStyle = 'solid';
    $v_1.style.borderWidth = '1px';
    $v_1.style.padding = '5px';
    $v_1.className = 'ms-emphasis';
    var $v_2 = SP.RequestExecutorNotificationPanel.$1X() + 30;
    var $v_3 = SP.RequestExecutorNotificationPanel.$1U() + SP.RequestExecutorNotificationPanel.$1Y() - 350 - 50;

    if ($v_3 < 0) {
        $v_3 = 0;
    }
    $v_1.style.left = $v_3.toString() + 'px';
    $v_1.style.top = $v_2.toString() + 'px';
    var $v_4 = SP.RequestExecutorUtility.$s(SP.RequestExecutorResources.getString('RE_OpenWindowMessage'));
    var $v_5 = '<input type=\'button\' onclick=\'SP.RequestExecutor.internalLoginButtonHandler(' + $v_0.toString() + ');return false;\' value=\'' + SP.RequestExecutorUtility.$s(SP.RequestExecutorResources.getString('RE_OpenWindowButtonText')) + '\' />';
    var $v_6 = '<a href=\'#\' onclick=\'SP.RequestExecutor.internalCancelButtonHandler(' + $v_0.toString() + ');return false;\'>' + SP.RequestExecutorUtility.$s(SP.RequestExecutorResources.getString('RE_DismissOpenWindowMessageLinkText')) + '</a>';

    $v_1.innerHTML = '<div>' + $v_4 + '</div><div style=\'padding-top:5px\'>' + $v_5 + '<span style=\'width:10px\'>&#160;</span>' + $v_6 + '</div>';
    document.body.appendChild($v_1);
    window.setTimeout(function() {
        SP.RequestExecutor.internalCancelButtonHandler($v_0);
    }, 120000);
};
SP.RequestExecutorNotificationPanel.$19 = function SP_RequestExecutorNotificationPanel$$19($p0) {
    if (SP.RequestExecutorNotificationPanel.$C) {
        var $$dict_1 = SP.RequestExecutorNotificationPanel.$C;

        for (var $$key_2 in $$dict_1) {
            var $v_0 = {
                key: $$key_2,
                value: $$dict_1[$$key_2]
            };

            if ($v_0.value === $p0) {
                return $v_0.key;
            }
        }
    }
    return null;
};
SP.RequestExecutorNotificationPanel.$u = function SP_RequestExecutorNotificationPanel$$u($p0) {
    var $v_0 = document.getElementById('SP_RequestExecutor_NotificationPanel' + $p0.toString());

    if ($v_0) {
        $v_0.parentNode.removeChild($v_0);
    }
};
SP.RequestExecutorNotificationPanel.$1e = function SP_RequestExecutorNotificationPanel$$1e($p0) {
    if (SP.RequestExecutorNotificationPanel.$C) {
        var $v_0 = SP.RequestExecutorNotificationPanel.$C[$p0];

        if (!SP.RequestExecutorUtility.$0($v_0)) {
            SP.RequestExecutorNotificationPanel.$u($v_0);
        }
    }
};
SP.RequestExecutorNotificationPanel.$y = function SP_RequestExecutorNotificationPanel$$y($p0, $p1) {
    if (!SP.RequestExecutorNotificationPanel.$O) {
        SP.RequestExecutorNotificationPanel.$O = {};
    }
    SP.RequestExecutorNotificationPanel.$O[$p0] = $p1;
};
SP.RequestExecutorNotificationPanel.$1V = function SP_RequestExecutorNotificationPanel$$1V($p0) {
    if (!SP.RequestExecutorNotificationPanel.$O) {
        SP.RequestExecutorNotificationPanel.$O = {};
    }
    return SP.RequestExecutorNotificationPanel.$O[$p0];
};
SP.RequestExecutorNotificationPanel.$1Y = function SP_RequestExecutorNotificationPanel$$1Y() {
    var $v_0 = window.innerWidth;

    if (SP.RequestExecutorUtility.$0($v_0)) {
        $v_0 = document.documentElement.clientWidth;
    }
    if (SP.RequestExecutorUtility.$0($v_0)) {
        $v_0 = document.body.clientWidth;
    }
    return $v_0;
};
SP.RequestExecutorNotificationPanel.$1U = function SP_RequestExecutorNotificationPanel$$1U() {
    var $v_0 = window.pageXOffset;

    if (!SP.RequestExecutorUtility.$0($v_0)) {
        return $v_0;
    }
    if (!SP.RequestExecutorUtility.$0(document.documentElement) && !SP.RequestExecutorUtility.$0(document.documentElement.scrollLeft)) {
        return document.documentElement.scrollLeft;
    }
    return document.body.scrollLeft;
};
SP.RequestExecutorNotificationPanel.$1X = function SP_RequestExecutorNotificationPanel$$1X() {
    var $v_0 = window.pageYOffset;

    if (!SP.RequestExecutorUtility.$0($v_0)) {
        return $v_0;
    }
    if (!SP.RequestExecutorUtility.$0(document.documentElement) && !SP.RequestExecutorUtility.$0(document.documentElement.scrollTop)) {
        return document.documentElement.scrollTop;
    }
    return document.body.scrollTop;
};
SP.RequestExecutorResources = function SP_RequestExecutorResources() {
};
SP.RequestExecutorResources.getString = function SP_RequestExecutorResources$getString($p0) {
    var $v_0 = null;
    var $v_1 = (($p0.charAt(0)).toString()).toLowerCase() + $p0.substr(1);

    if (window.SP && window.SP.Res) {
        $v_0 = window.SP.Res[$v_1];
    }
    else if (window.SP && window.SP.RuntimeRes) {
        $v_0 = window.SP.RuntimeRes[$v_1];
    }
    else {
        $v_0 = SP.RequestExecutorRes[$v_1];
    }
    if (SP.RequestExecutorUtility.$2($v_0)) {
        $v_0 = $p0;
    }
    return $v_0;
};
SP.RequestExecutorUtility = function SP_RequestExecutorUtility() {
};
SP.RequestExecutorUtility.$2 = function SP_RequestExecutorUtility$$2($p0) {
    var $v_0 = null;

    return $p0 === $v_0 || typeof $p0 === 'undefined' || !$p0.length;
};
SP.RequestExecutorUtility.$0 = function SP_RequestExecutorUtility$$0($p0) {
    var $v_0 = null;

    return $p0 === $v_0 || typeof $p0 === 'undefined';
};
SP.RequestExecutorUtility.$7 = function SP_RequestExecutorUtility$$7($p0) {
    return typeof $p0 === 'undefined';
};
SP.RequestExecutorUtility.$T = function SP_RequestExecutorUtility$$T($p0) {
    var $p1 = [];

    for (var $$pai_8 = 1; $$pai_8 < arguments.length; ++$$pai_8) {
        $p1[$$pai_8 - 1] = arguments[$$pai_8];
    }
    var $v_0 = '';
    var $v_1 = 0;

    while ($v_1 < $p0.length) {
        var $v_2 = SP.RequestExecutorUtility.$18($p0, $v_1, '{');

        if ($v_2 < 0) {
            $v_0 = $v_0 + $p0.substr($v_1);
            break;
        }
        else {
            var $v_3 = SP.RequestExecutorUtility.$18($p0, $v_2, '}');

            if ($v_3 > $v_2) {
                $v_0 = $v_0 + $p0.substr($v_1, $v_2 - $v_1);
                var $v_4 = $p0.substr($v_2 + 1, $v_3 - $v_2 - 1);
                var $v_5 = parseInt($v_4);

                $v_0 = $v_0 + $p1[$v_5];
                $v_1 = $v_3 + 1;
            }
            else {
                throw SP.RequestExecutorUtility.$o();
            }
        }
    }
    return $v_0;
};
SP.RequestExecutorUtility.$18 = function SP_RequestExecutorUtility$$18($p0, $p1, $p2) {
    var $v_0 = $p0.indexOf($p2, $p1);

    while ($v_0 >= 0 && $v_0 < $p0.length - 1 && $p0.charAt($v_0 + 1) === $p2) {
        $p1 = $v_0 + 2;
        $v_0 = $p0.indexOf($p2, $p1);
    }
    return $v_0;
};
SP.RequestExecutorUtility.$a = function SP_RequestExecutorUtility$$a($p0, $p1) {
    if (!SP.RequestExecutorUtility.$1C($p0)) {
        throw SP.RequestExecutorUtility.$D($p1);
    }
};
SP.RequestExecutorUtility.$1C = function SP_RequestExecutorUtility$$1C($p0) {
    return ($p0.substr(0, 8)).toLowerCase() === 'https://' || ($p0.substr(0, 7)).toLowerCase() === 'http://';
};
SP.RequestExecutorUtility.$5 = function SP_RequestExecutorUtility$$5($p0, $p1, $p2, $p3) {
    if ($p3) {
        if (SP.RequestExecutorUtility.$0($p0) || typeof $p0 !== $p2) {
            throw SP.RequestExecutorUtility.$K(SP.RequestExecutorUtility.$T(SP.RequestExecutorResources.getString('RE_InvalidArgumentOrField'), $p1), SP.RequestExecutorExceptions.invalidArgumentOrField);
        }
    }
    else {
        if (!SP.RequestExecutorUtility.$0($p0) && typeof $p0 !== $p2) {
            throw SP.RequestExecutorUtility.$K(SP.RequestExecutorUtility.$T(SP.RequestExecutorResources.getString('RE_InvalidArgumentOrField'), $p1), SP.RequestExecutorExceptions.invalidArgumentOrField);
        }
    }
};
SP.RequestExecutorUtility.$K = function SP_RequestExecutorUtility$$K($p0, $p1) {
    var $v_0 = new Error($p0);

    $v_0.message = $p0;
    $v_0.errorCode = $p1;
    return $v_0;
};
SP.RequestExecutorUtility.$D = function SP_RequestExecutorUtility$$D($p0) {
    var $v_0 = SP.RequestExecutorUtility.$T(SP.RequestExecutorResources.getString('RE_InvalidArgumentOrField'), $p0);

    return SP.RequestExecutorUtility.$K($v_0, SP.RequestExecutorExceptions.invalidArgumentOrField);
};
SP.RequestExecutorUtility.$o = function SP_RequestExecutorUtility$$o() {
    var $v_0 = SP.RequestExecutorResources.getString('RE_InvalidOperation');

    return SP.RequestExecutorUtility.$K($v_0, SP.RequestExecutorExceptions.invalidOperation);
};
SP.RequestExecutorUtility.$n = function SP_RequestExecutorUtility$$n() {
    var $v_0 = SP.RequestExecutorResources.getString('RE_BrowserNotSupported');

    return SP.RequestExecutorUtility.$K($v_0, SP.RequestExecutorExceptions.browserNotSupported);
};
SP.RequestExecutorUtility.$p = function SP_RequestExecutorUtility$$p() {
    var $v_0 = SP.RequestExecutorResources.getString('RE_BrowserBinaryDataNotSupported');

    return SP.RequestExecutorUtility.$K($v_0, SP.RequestExecutorExceptions.browserNotSupported);
};
SP.RequestExecutorUtility.$c = function SP_RequestExecutorUtility$$c($p0) {
    return SP.RequestExecutorHttpUtility.$1L($p0, true, true);
};
SP.RequestExecutorUtility.$s = function SP_RequestExecutorUtility$$s($p0) {
    $p0 = $p0.replace(new RegExp('&', 'g'), '&amp;');
    $p0 = $p0.replace(new RegExp('\"', 'g'), '&quot;');
    $p0 = $p0.replace(new RegExp('\'', 'g'), '&#39;');
    $p0 = $p0.replace(new RegExp('<', 'g'), '&lt;');
    $p0 = $p0.replace(new RegExp('>', 'g'), '&gt;');
    return $p0;
};
SP.RequestExecutorRes = function SP_RequestExecutorRes() {
};
SP.RequestExecutorHttpUtility = function SP_RequestExecutorHttpUtility() {
};
SP.RequestExecutorHttpUtility.$1L = function SP_RequestExecutorHttpUtility$$1L($p0, $p1, $p2) {
    var $v_0 = '';
    var $v_1;
    var $v_2 = 0;
    var $v_3 = ' \"%<>\'&';
    var $v_4 = null;

    if ($p0 === $v_4 || typeof $p0 === 'undefined' || !$p0.length) {
        return '';
    }
    for ($v_2 = 0; $v_2 < $p0.length; $v_2++) {
        var $v_5 = $p0.charCodeAt($v_2);
        var $v_6 = $p0.charAt($v_2);

        if ($p1 && ($v_6 === '#' || $v_6 === '?')) {
            $v_0 += $p0.substr($v_2);
            break;
        }
        if ($v_5 <= 127) {
            if ($p2) {
                $v_0 += $v_6;
            }
            else {
                if ($v_5 >= 97 && $v_5 <= 122 || $v_5 >= 65 && $v_5 <= 90 || $v_5 >= 48 && $v_5 <= 57 || $v_5 >= 32 && $v_5 <= 95 && $v_3.indexOf($v_6) < 0) {
                    $v_0 += $v_6;
                }
                else if ($v_5 <= 15) {
                    $v_0 += '%0' + ($v_5.toString(16)).toUpperCase();
                }
                else if ($v_5 <= 127) {
                    $v_0 += '%' + ($v_5.toString(16)).toUpperCase();
                }
            }
        }
        else if ($v_5 <= 2047) {
            $v_1 = 192 | $v_5 >> 6;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | $v_5 & 63;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
        }
        else if (($v_5 & 64512) !== 55296) {
            $v_1 = 224 | $v_5 >> 12;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | ($v_5 & 4032) >> 6;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | $v_5 & 63;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
        }
        else if ($v_2 < $p0.length - 1) {
            $v_5 = ($v_5 & 1023) << 10;
            $v_2++;
            var $v_7 = $p0.charCodeAt($v_2);

            $v_5 |= $v_7 & 1023;
            $v_5 += 65536;
            $v_1 = 240 | $v_5 >> 18;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | ($v_5 & 258048) >> 12;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | ($v_5 & 4032) >> 6;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
            $v_1 = 128 | $v_5 & 63;
            $v_0 += '%' + ($v_1.toString(16)).toUpperCase();
        }
    }
    return $v_0;
};
if (SP.PostMessageRequestInfo.registerClass)
    SP.PostMessageRequestInfo.registerClass('SP.PostMessageRequestInfo');
if (SP.PostMessageResponseInfo.registerClass)
    SP.PostMessageResponseInfo.registerClass('SP.PostMessageResponseInfo');
if (SP.RequestInfo.registerClass)
    SP.RequestInfo.registerClass('SP.RequestInfo');
if (SP.AppWebProxyRequestInfo.registerClass)
    SP.AppWebProxyRequestInfo.registerClass('SP.AppWebProxyRequestInfo');
if (SP.ResponseInfo.registerClass)
    SP.ResponseInfo.registerClass('SP.ResponseInfo');
if (SP.RequestExecutorMessageProcessorFormDigestInfo.registerClass)
    SP.RequestExecutorMessageProcessorFormDigestInfo.registerClass('SP.RequestExecutorMessageProcessorFormDigestInfo');
if (SP.RequestExecutorMessageProcessorInitInfo.registerClass)
    SP.RequestExecutorMessageProcessorInitInfo.registerClass('SP.RequestExecutorMessageProcessorInitInfo');
if (SP.PostMessageCommands.registerClass)
    SP.PostMessageCommands.registerClass('SP.PostMessageCommands');
if (SP.ProxyWebRequestExecutorInternal.registerClass)
    SP.ProxyWebRequestExecutorInternal.registerClass('SP.ProxyWebRequestExecutorInternal');
if (SP.ProxyWebRequestExecutor.registerClass)
    SP.ProxyWebRequestExecutor.registerClass('SP.ProxyWebRequestExecutor', Sys.Net.WebRequestExecutor);
if (SP.ProxyWebRequestExecutorFactory.registerClass)
    SP.ProxyWebRequestExecutorFactory.registerClass('SP.ProxyWebRequestExecutorFactory');
if (SP.RequestExecutor.registerClass)
    SP.RequestExecutor.registerClass('SP.RequestExecutor');
if (SP.RequestExecutorErrors.registerClass)
    SP.RequestExecutorErrors.registerClass('SP.RequestExecutorErrors');
if (SP.RequestExecutorExceptions.registerClass)
    SP.RequestExecutorExceptions.registerClass('SP.RequestExecutorExceptions');
if (SP.RequestExecutorInternalSharedUtility.registerClass)
    SP.RequestExecutorInternalSharedUtility.registerClass('SP.RequestExecutorInternalSharedUtility');
if (SP.RequestExecutorMessageProcessor.registerClass)
    SP.RequestExecutorMessageProcessor.registerClass('SP.RequestExecutorMessageProcessor');
if (SP.RequestExecutorNotificationPanel.registerClass)
    SP.RequestExecutorNotificationPanel.registerClass('SP.RequestExecutorNotificationPanel');
if (SP.RequestExecutorResources.registerClass)
    SP.RequestExecutorResources.registerClass('SP.RequestExecutorResources');
if (SP.RequestExecutorUtility.registerClass)
    SP.RequestExecutorUtility.registerClass('SP.RequestExecutorUtility');
if (SP.RequestExecutorRes.registerClass)
    SP.RequestExecutorRes.registerClass('SP.RequestExecutorRes');
if (SP.RequestExecutorHttpUtility.registerClass)
    SP.RequestExecutorHttpUtility.registerClass('SP.RequestExecutorHttpUtility');
SP.PostMessageCommands.ping = 'Ping';
SP.PostMessageCommands.query = 'Query';
SP.RequestExecutor.$H = null;
SP.RequestExecutor.$V = null;
SP.RequestExecutor.$S = null;
SP.RequestExecutor.$X = null;
SP.RequestExecutor.$R = null;
SP.RequestExecutor.$W = null;
SP.RequestExecutor.$P = null;
SP.RequestExecutor.$G = null;
SP.RequestExecutor.$3 = null;
SP.RequestExecutor.$g = 0;
SP.RequestExecutor.$J = false;
SP.RequestExecutor.$f = null;
SP.RequestExecutor.$U = null;
SP.RequestExecutor.$x = false;
SP.RequestExecutor.$Z = null;
SP.RequestExecutor.$Y = null;
SP.RequestExecutorErrors.requestAbortedOrTimedout = -1001;
SP.RequestExecutorErrors.unexpectedResponse = -1002;
SP.RequestExecutorErrors.httpError = -1002;
SP.RequestExecutorErrors.noAppWeb = -1003;
SP.RequestExecutorErrors.domainDoesNotMatch = -1004;
SP.RequestExecutorErrors.noTrustedOrigins = -1005;
SP.RequestExecutorErrors.iFrameLoadError = -1006;
SP.RequestExecutorExceptions.invalidArgumentOrField = -2001;
SP.RequestExecutorExceptions.invalidOperation = -2002;
SP.RequestExecutorExceptions.browserNotSupported = -2003;
SP.RequestExecutorInternalSharedUtility.$e = 'SP.RequestExecutor';
SP.RequestExecutorInternalSharedUtility.$1O = '_debugDelay_';
SP.RequestExecutorMessageProcessor.$Q = null;
SP.RequestExecutorMessageProcessor.$B = null;
SP.RequestExecutorMessageProcessor.$J = false;
SP.RequestExecutorNotificationPanel.$C = null;
SP.RequestExecutorNotificationPanel.$w = 0;
SP.RequestExecutorNotificationPanel.$O = null;
SP.RequestExecutorRes.rE_InvalidArgumentOrField = 'Invalid field or parameter {0}.';
SP.RequestExecutorRes.rE_NoTrustedOrigins = 'There is no trusted URLs configured for the app deployment.';
SP.RequestExecutorRes.rE_InvalidOperation = 'Invalid operation.';
SP.RequestExecutorRes.rE_OpenWindowMessage = 'Sorry, we had some trouble accessing your site.';
SP.RequestExecutorRes.rE_CannotAccessSiteOpenWindowFailed = 'This page cannot open a window to access the web site \"{0}\" or it cannot reference the opened window. Please browse to that web site, and then browse to this page again.';
SP.RequestExecutorRes.rE_CannotAccessSite = 'This page cannot access the web site \"{0}\". Please browse to that web site, and then browse to this page again.';
SP.RequestExecutorRes.rE_RequestAbortedOrTimedout = 'The request was aborted or timed out.';
SP.RequestExecutorRes.rE_DismissOpenWindowMessageLinkText = 'Dismiss';
SP.RequestExecutorRes.rE_BrowserBinaryDataNotSupported = 'Your browser doesn\'t support some HTML5 features like the File API operations. Please use a browser that does support these features.';
SP.RequestExecutorRes.rE_CannotAccessSiteCancelled = 'This page cannot access the web site \"{0}\". The login is cancelled or timed out. Please browse to that web site, and then browse to this page again.';
SP.RequestExecutorRes.rE_OpenWindowButtonText = 'Fix It';
SP.RequestExecutorRes.rE_BrowserNotSupported = 'The required functionalities are not supported by your browser. Please make sure you are using IE 8 or above, or other modern browser. Please make sure the \'X-UA-Compatible\' meta tag is set to be \'IE=8\' or above.';
SP.RequestExecutorRes.rE_RequestUnexpectedResponseWithContentTypeAndStatus = 'Unexpected response from the server. The content type of the response is \"{0}\". The status code is \"{1}\".';
SP.RequestExecutorRes.rE_RequestUnexpectedResponse = 'Unexpected response from server.';
SP.RequestExecutorRes.rE_DomainDoesNotMatch = 'Your domain doesn\'t match the expected domain for this app deployment.';
SP.RequestExecutorNative = function() {
};
SP.RequestExecutorNative.getIFrameOnloadCallback = function(appWebProxyUrl) {
    var ret = function() {
        SP.RequestExecutor.internalProcessIFrameOnload(appWebProxyUrl);
    };

    return ret;
};
SP.RequestExecutorNative.getXMLHttpRequestOnreadystatechangeCallback = function(xhr, requestInfo, timeoutId) {
    var ret = function() {
        SP.RequestExecutor.internalProcessXMLHttpRequestOnreadystatechange(xhr, requestInfo, timeoutId);
    };

    return ret;
};
SP.RequestExecutorNative.getXMLHttpRequestTimeoutCallback = function(xhr, requestInfo) {
    var ret = function() {
        SP.RequestExecutor.internalProcessXMLHttpRequestTimeoutCallback(xhr, requestInfo);
    };

    return ret;
};
SP.RequestExecutorNative.getIFrameRequestTimeoutCallback = function(postMessageId) {
    var ret = function() {
        SP.RequestExecutor.internalProcessIFrameRequestTimeoutCallback(postMessageId);
    };

    return ret;
};
SP.RequestExecutorNative.getProxyWebRequestExecutorSuccessCallback = function(executor) {
    var ret = function(responseInfo) {
        SP.ProxyWebRequestExecutorInternal.processSuccessCallback(executor, responseInfo);
    };

    return ret;
};
SP.RequestExecutorNative.getProxyWebRequestExecutorErrorCallback = function(executor) {
    var ret = function(responseInfo, errorCode, errorMessage) {
        SP.ProxyWebRequestExecutorInternal.processErrorCallback(executor, responseInfo, errorCode, errorMessage);
    };

    return ret;
};
SP.RequestExecutorNative.emptyCallback = function() {
};
SP.RequestExecutorNative.trim = function(str) {
    return str.replace(/^\s+|\s+$/g, '');
};
if (window.document.addEventListener) {
    window.addEventListener("load", SP.RequestExecutor.internalProcessWindowLoad, false);
}
else if (window.document.attachEvent) {
    window.attachEvent("onload", SP.RequestExecutor.internalProcessWindowLoad);
}
if (typeof Sys != "undefined" && Sys && Sys.Application) {
    Sys.Application.notifyScriptLoaded();
}
if (typeof NotifyScriptLoadedAndExecuteWaitingJobs == "function") {
    NotifyScriptLoadedAndExecuteWaitingJobs("sp.requestexecutor.js");
}
