﻿<%@ Page Inherits="Microsoft.SharePoint.WebPartPages.WebPartPage, Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" MasterPageFile="~masterurl/default.master" Language="C#" %>

<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=15.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<asp:Content ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
    <link rel="Stylesheet" type="text/css" href="../Content/App.css" />
    <script type="text/javascript" src="/_layouts/15/sp.runtime.js"></script>
    <script type="text/javascript" src="/_layouts/15/sp.js"></script>
    <script type="text/javascript" src="/_layouts/15/sp.RequestExecutor.debug.js"></script>
    <script type="text/javascript" src="../Scripts/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="../Scripts/knockout-2.1.0.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.jsom.libs.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.rest.libs.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.jsom.libitems.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.rest.libitems.js"></script>
    <script type="text/javascript" src="../Scripts/wingtip.viewmodel.documents.js"></script>
    <script type="text/javascript" src="../Scripts/App.js"></script>
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server">
Library Operations
</asp:Content>

<asp:Content ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <div id="loadingDiv">Building libraries. This shouldn't take long...</div>
    <input type="hidden" id="RestCtypeId" />
    <input type="hidden" id="JsomCtypeId" />
    <div id="mainDiv" style="width:100%">
        <div style="width:100%">
            <input id="inputText" type="text" autofocus placeholder="Text" />
            <input id="inputFile" type="file" />
            <input type="button" id="setTemplateButton" value="Set Library Template" class="app-button"/>
            <input type="button" id="addContentTypeButton" value="Add 'Invoice' Content Type" class="app-button"/>
            <input type="button" id="setCTypeTemplateButton" value="Set CType Template" class="app-button"/>
            <input type="button" id="bindCTypeButton" value="Bind CType to Library" class="app-button"/>
            <input type="button" id="uploadDocumentButton" value="Upload Document" class="app-button"/>
            <input type="button" id="downloadDocumentButton" value="Download Document" class="app-button"/>
            <input type="button" id="deleteLibsButton" value="Delete Both Libraries" class="app-button"/>
        </div>
                <div style="float:left;width:50%">
                <table id="restTable" style="width:200px;">
                    <caption>REST Documents</caption>
                    <thead>
                        <tr>
                            <th>Name</th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: get_items()">
                        <tr>
                            <td><a  data-bind="attr: {href: get_url(), title: get_name()}">
                                <span data-bind="text: get_name()"></span>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
        </div>
        <div style="float:right;width:50%">
                <table id="jsomTable" style="width:200px;">
                    <caption>JSOM Documents</caption>
                    <thead>
                        <tr>
                            <th>Name</th>
                        </tr>
                    </thead>
                    <tbody data-bind="foreach: get_items()">
                        <tr>
                            <td><a  data-bind="attr: {href: get_url(), title: get_name()}">
                                <span data-bind="text: get_name()"></span>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
        </div>
    </div>
</asp:Content>
