﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ManagedCSOMWeb.Pages
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string appWebUrl = Page.Request["SPAppWebUrl"];
            StringBuilder html = new StringBuilder();

            html.Append("<ul>");

            //Collections
            html.Append("<li><a href='collections.aspx?SPAppWebUrl=");
            html.Append(appWebUrl);
            html.Append("'>Collections</a></li>");

            //Errors
            html.Append("<li><a href='errors.aspx?SPAppWebUrl=");
            html.Append(appWebUrl);
            html.Append("'>Errors</a></li>");

            //Error Scope
            html.Append("<li><a href='errorscope.aspx?SPAppWebUrl=");
            html.Append(appWebUrl);
            html.Append("'>Error Scope</a></li>");

            //Create List and List Item
            html.Append("<li><a href='createlist.aspx?SPAppWebUrl=");
            html.Append(appWebUrl);
            html.Append("'>Create List</a></li>");

            //CAML Query
            html.Append("<li><a href='caml.aspx?SPAppWebUrl=");
            html.Append(appWebUrl);
            html.Append("'>CAML Query</a></li>");

            html.Append("</ul>");

            links.Text = html.ToString();
        }
    }
}